#include <stdio.h>
#include <stdlib.h>

#define ll long long

int main()
{
	ll int n,m,k;
	ll int tempx, tempy;
	scanf("%lli %lli %lli",&n,&m,&k);

	ll int boje;
	if((n*m)%2==0)
		boje = (n*m)/2;
	else
		boje = ((n*m)/2) +1;

	for (ll int i = 0; i < k; ++i)
	{
		scanf("%lli %lli", &tempx, &tempy);
		if(((tempx+tempy)%2)==0)
			boje-=1;
	}

	printf("%lli", boje);
	return 0;
}